DateTimeNodeValueHelper Class Reference

manages calls to AbstractQoreNode::getDateTimeRepresentation() when a DateTimeNode value is required More...

`#include <DateTimeNode.h>`

## Public Member Functions

DLLLOCAL | DateTimeNodeValueHelper (const AbstractQoreNode *n)
| gets the DateTimeNode value and sets the temporary flag
DLLLOCAL | DateTimeNodeValueHelper (const AbstractQoreNode *n, ExceptionSink *xsink)
| gets the DateTimeNode value and sets the temporary flag More...
DLLEXPORT | DateTimeNodeValueHelper (const QoreValue &n)
| gets the DateTime value and set the delete flag
DLLLOCAL | ~DateTimeNodeValueHelper ()
| dereferences the DateTimeNode value if necessary
DLLLOCAL DateTimeNode * | getReferencedValue ()
| returns a referenced value - the caller will own the reference More...

## Detailed Description

manages calls to AbstractQoreNode::getDateTimeRepresentation() when a DateTimeNode value is required

if a simple DateTime value is required instead, use DateTimeValueHelper

See also
  DateTimeNodeHelper

## Constructor & Destructor Documentation

## DateTimeNodeValueHelper()

DLLLOCAL DateTimeNodeValueHelper::DateTimeNodeValueHelper | ( | const AbstractQoreNode * | n,
|  | ExceptionSink * | xsink
| ) |  |

gets the DateTimeNode value and sets the temporary flag

this variant throws a Qore-language exception if the input is invalid

Since
  Qore 0.8.12.4

## Member Function Documentation

## getReferencedValue()

DLLLOCAL DateTimeNode* DateTimeNodeValueHelper::getReferencedValue | ( |  | ) |

inline

returns a referenced value - the caller will own the reference

The value is referenced if necessary (if it was a temporary value)

Returns
  the DateTimeNode value, where the caller will own the reference count

The documentation for this class was generated from the following file:

- include/qore/DateTimeNode.h